Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.logging
Class LoggingHelper

    java.lang.Object
      |
      +--weblogic.logging.LoggingHelper

public final class LoggingHelper
extends java.lang.Object

This class provides utility methods to use the WebLogic Logging. Provides access to the JDK 1.4 Logger that WebLogic Logging uses.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`LoggingHelper()`

Method Summary
`static java.util.logging.Logger` | `getClientLogger()` Gets the Logger object used for client side logging.
`static java.util.logging.Logger` | `getDomainLogger()` Gets the logger used for logging to the domain level log.
`static java.util.logging.Logger` | `getServerLogger()` Gets the Logger object used for server side logging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingHelper

    public LoggingHelper()

Method Detail

### getServerLogger

    public static java.util.logging.Logger getServerLogger()

  Gets the Logger object used for server side logging.

  Returns:
    The Logger used by catalog as well as non catalog based logging.

### getClientLogger

    public static java.util.logging.Logger getClientLogger()

  Gets the Logger object used for client side logging.

  Returns:
    The Logger used by catalog as well as non catalog based logging.

### getDomainLogger

    public static java.util.logging.Logger getDomainLogger()
                                                    throws LoggerNotAvailableException

  Gets the logger used for logging to the domain level log. This method returns a valid Logger object when invoked in the JVM running the Admin Server for the domain.

  Returns:
    The Logger used for domain logging or `null` if this method is called on a managed server process.
  Throws:
    LoggerNotAvailableException - When this method is invoked in a process that is not running the admin server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD